View Issue Details

IDProjectCategoryView StatusLast Update
0031043Open CASCADEOCCT:Modeling Algorithmspublic2020-12-02 17:12
Reporteroan Assigned Tooan  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Target Version7.5.0Fixed in Version7.5.0 
Summary0031043: GCPnts_TangentialDeflection generates points which number is inconsistent with MinimumOfPoints parameter
DescriptionNumber of points generated by GCPnts_TangentialDeflection is less than specified value.

This patch is required by 0028500 in order to add additional points (e.g. one more comparing to previous result) for faces consisting of two straight edges with vertices covered by tolerance.
Steps To Reproduce#Use edges of face 3 and 7 to reproduce problem.

test bugs mesh bug28500
explode a f
explode a_7 e
mkcurve c a_7_1

crvtpoints r c 0.01 1.57 1
#Nb points : 2

crvtpoints r c 0.01 1.57 2
#Nb points : 2

crvtpoints r c 0.01 1.57 3
#Nb points : 2

crvtpoints r c 0.01 1.57 4
#Nb points : 3

crvtpoints r c 0.01 1.57 5
#Nb points : 5

crvtpoints r c 0.01 1.57 6
#Nb points : 5
TagsNo tags attached.
Test case numberbugs modalg_7 bug31043

Relationships

child of 0028500 newoan Mesh - Artifact in shaded view of the shape 

Activities

git

2019-10-07 19:00

administrator   ~0087932

Branch CR31043 has been created by oan.

SHA-1: 7547121ede67a7b829ec519d4dfe2b365d9d6d5b


Detailed log of new commits:

Author: oan
Date: Mon Oct 7 19:00:21 2019 +0300

    0031043: GCPnts_TangentialDeflection generates points which number is inconsistent with MinimumOfPoints Parameter
    
    Updated crvtpoints command API to reproduce reported problem

oan

2019-10-08 16:44

developer   ~0087948

Last edited: 2019-10-08 17:27

Please use updated command from CR31043 to reproduce aforementioned problem.

General idea is to teach low-level algorithm to produce number of points at least equal to specified minimum value.

git

2019-10-19 19:08

administrator   ~0088330

Branch CR31043 has been updated by oan.

SHA-1: 723d59feac1abd068e4f62ba89bf9e5fe3e204bc


Detailed log of new commits:

Author: oan
Date: Sat Oct 19 19:07:14 2019 +0300

    # generate number of points according to the specified minimum value

git

2019-10-20 00:35

administrator   ~0088338

Branch CR31043 has been updated by oan.

SHA-1: 62be3d632af31671f01ecab8dc8dbbceb53710ae


Detailed log of new commits:

Author: oan
Date: Sun Oct 20 00:34:06 2019 +0300

    # added test case

git

2019-10-21 19:35

administrator   ~0088393

Branch CR31043 has been updated by oan.

SHA-1: 5aa6ff778cd480395a07562e9789565652cc2c9f


Detailed log of new commits:

Author: oan
Date: Mon Oct 21 19:33:32 2019 +0300

    # revert PerformCircular changes

git

2019-10-28 13:49

administrator   ~0088633

Branch CR31043 has been updated forcibly by oan.

SHA-1: 8fecfb21b6557277a95e0c50c4ad05f040098ad2

oan

2019-10-28 16:06

developer   ~0088635

Please review:

http://occt-tests/CR31043_1-master-OAN-OCCT/Debian80-64/diff_summary.html
http://occt-tests/CR31043_1-master-OAN-OCCT/Windows-64-VC14/diff_summary.html

msv

2019-10-28 16:40

developer   ~0088636

Note: please give the link to compare page instead of summary. It is because there is a link to other pages from compare where, e.g., I can see new compilation warnings.

msv

2019-10-28 18:21

developer   ~0088639

No remarks. Combine to one commit with one message before integration.

git

2019-10-29 11:06

administrator   ~0088642

Branch CR31043_1 has been created by oan.

SHA-1: da6b95a0752b92e58c66f4d571a7702ba1bab5ab


Detailed log of new commits:

Author: oan
Date: Tue Oct 29 11:04:53 2019 +0300

    0031043: GCPnts_TangentialDeflection generates points which number is inconsistent with MinimumOfPoints Parameter
    
    Updated crvtpoints command API to reproduce reported problem
    Generate number of points according to the specified minimum value

oan

2019-10-29 11:06

developer   ~0088643

Pushed to branch CR31043_1.

msv

2019-10-29 11:40

developer   ~0088644

Reviewed.

git

2019-11-10 11:41

administrator   ~0088848

Branch CR31043_1 has been deleted by inv.

SHA-1: da6b95a0752b92e58c66f4d571a7702ba1bab5ab

git

2019-11-10 11:41

administrator   ~0088849

Branch CR31043 has been deleted by inv.

SHA-1: 8fecfb21b6557277a95e0c50c4ad05f040098ad2

Related Changesets

occt: master da6b95a0

2019-10-29 08:04:53

oan

Details Diff
0031043: GCPnts_TangentialDeflection generates points which number is inconsistent with MinimumOfPoints Parameter

Updated crvtpoints command API to reproduce reported problem
Generate number of points according to the specified minimum value
Affected Issues
0031043
mod - src/GCPnts/GCPnts_TangentialDeflection.pxx Diff File
mod - src/GeometryTest/GeometryTest_CurveCommands.cxx Diff File
add - tests/bugs/modalg_7/bug31043 Diff File

Issue History

Date Modified Username Field Change
2019-10-07 18:58 oan New Issue
2019-10-07 18:58 oan Assigned To => msv
2019-10-07 18:59 oan Relationship added child of 0028500
2019-10-07 19:00 git Note Added: 0087932
2019-10-08 16:44 oan Note Added: 0087948
2019-10-08 17:27 oan Note Edited: 0087948
2019-10-19 19:08 git Note Added: 0088330
2019-10-20 00:35 git Note Added: 0088338
2019-10-21 19:35 git Note Added: 0088393
2019-10-28 13:49 git Note Added: 0088633
2019-10-28 16:06 oan Note Added: 0088635
2019-10-28 16:06 oan Status new => resolved
2019-10-28 16:40 msv Note Added: 0088636
2019-10-28 18:21 msv Note Added: 0088639
2019-10-28 18:22 msv Assigned To msv => oan
2019-10-28 18:22 msv Status resolved => assigned
2019-10-29 11:06 git Note Added: 0088642
2019-10-29 11:06 oan Note Added: 0088643
2019-10-29 11:06 oan Assigned To oan => msv
2019-10-29 11:06 oan Status assigned => resolved
2019-10-29 11:40 msv Note Added: 0088644
2019-10-29 11:40 msv Assigned To msv => bugmaster
2019-10-29 11:40 msv Status resolved => reviewed
2019-10-30 23:21 apn Test case number => bugs modalg_7 bug31043
2019-10-31 10:59 apn Status reviewed => tested
2019-11-02 17:43 oan Changeset attached => occt master da6b95a0
2019-11-02 17:43 oan Assigned To bugmaster => oan
2019-11-02 17:43 oan Status tested => verified
2019-11-02 17:43 oan Resolution open => fixed
2019-11-10 11:41 git Note Added: 0088848
2019-11-10 11:41 git Note Added: 0088849
2020-12-02 16:40 emo Fixed in Version => 7.5.0
2020-12-02 17:12 emo Status verified => closed